Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.search.finder
Class ResultsViewModelFind

    java.lang.Object
      javax.swing.table.AbstractTableModel
          edu.stanford.smi.protegex.owl.ui.search.finder.ResultsViewModelFind

All Implemented Interfaces:
  Serializable, ListModel, TableModel

Direct Known Subclasses:
  DefaultClassFind, DefaultIndividualFind, DefaultPropertyFind, HiddenClassFind

    public class ResultsViewModelFind

extends AbstractTableModel
implements ListModel

Checks the name, current browser slot and any synonym slots allocated

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 03-Oct-2005
See Also:
  Serialized Form

Field Summary
`protected List` | `orderedKeys`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ResultsViewModelFind(OWLModel owlModel, int type)`

Method Summary
`void` | `addListDataListener(ListDataListener l)`
`int` | `getColumnCount()`
`String` | `getColumnName(int column)`
`Object` | `getElementAt(int index)`
`Find` | `getFind()`
`int` | `getRowCount()`
`int` | `getSize()`
`Object` | `getValueAt(int rowIndex, int columnIndex)`
`protected boolean` | `isValidFrameToSearch(edu.stanford.smi.protege.model.Frame f)`
`void` | `removeListDataListener(ListDataListener l)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### orderedKeys

    protected List orderedKeys

Constructor Detail

### ResultsViewModelFind

    public ResultsViewModelFind(OWLModel owlModel,
                                int type)

Method Detail

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `ListModel`

### getElementAt

    public Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `ListModel`

### addListDataListener

    public void addListDataListener(ListDataListener l)

  Specified by:
    `addListDataListener` in interface `ListModel`

### removeListDataListener

    public void removeListDataListener(ListDataListener l)

  Specified by:
    `removeListDataListener` in interface `ListModel`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in interface `TableModel`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `TableModel`

### getColumnName

    public String getColumnName(int column)

  Specified by:
    `getColumnName` in interface `TableModel`
  Overrides:
    `getColumnName` in class `AbstractTableModel`

### getValueAt

    public Object getValueAt(int rowIndex,
                             int columnIndex)

  Specified by:
    `getValueAt` in interface `TableModel`

### getFind

    public Find getFind()

### isValidFrameToSearch

    protected boolean isValidFrameToSearch(edu.stanford.smi.protege.model.Frame f)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.